# vim: set sw=4 ts=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

Summary:        Menc is an GUI to encode videos with MEncoder and transcode
Name:           burn_360
Version:        0.8.0
Release:        2.2
License:        GPL
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         http://prdownloads.sourceforge.net/burn360/burn_360-%{version}.tar.bz2
Patch1:         %{name}-fix_paths.patch
Source90:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://sourceforge.net/projects/burn360/
BuildRequires:  update-desktop-files
BuildArch:      noarch
Requires:       a52dec
Requires:       cdrdao
Requires:       dvdauthor
Requires:       faad2
Requires:       faac
Requires:       ffmpeg
Requires:       imlib2
Requires:       lame
Requires:       libcdio-utils
Requires:       libdvdread
#Requires:		libdvdcss
Requires:       perl
Requires:       perl-GD
Requires:       perl-Glib
Requires:       perl-Gtk2
Requires:       perl-XML-Simple
Requires:       vcdimager
Requires:       vobcopy
Requires:       xvid
Requires:       xawtv

# just to check if the packages are available ...
BuildRequires:  a52dec
BuildRequires:  cdrdao
BuildRequires:  dvdauthor
BuildRequires:  faad2
BuildRequires:  faac
BuildRequires:  ffmpeg
BuildRequires:  imlib2
BuildRequires:  lame
BuildRequires:  libcdio-utils
BuildRequires:  libdvdread
BuildRequires:  perl
BuildRequires:  perl-GD
BuildRequires:  perl-Glib
BuildRequires:  perl-Gtk2
BuildRequires:  vcdimager
BuildRequires:  vobcopy
BuildRequires:  xvid
BuildRequires:  xawtv
%if 0%{?suse_version} >= 1030
BuildRequires:  fdupes
%endif

%description
This is a frontend to ffmpeg and standard VCD/DVD ripping creation
programs written in perl-gtk2.

It is designed to enable (as separate processes):
* VCD/DVD ripping
* Any Media-transcoding that ffmpeg supports
* VCD/DVD creation

%prep
%setup -q
%patch1

%__sed -i -e '
s|@@ICONDIR@@|%{_datadir}/%{name}/icons|;
s|@@DOCDIR@@|%{_docdir}/%{name}|;
s|@@OPTSDIR@@|%{_datadir}/%{name}|
' burn_360

%__chmod 644 README.* Changelog COPYING

%build

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
    %{buildroot}%{_bindir}
%__install -m 755 dir_dvd_play.pl \
    %{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -m 644 opts \
    %{buildroot}%{_datadir}/%{name}
#%__install -m 644 *.jpg \
#	%{buildroot}%{_datadir}/%{name}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/icons
%__install -m 644 *.png \
    %{buildroot}%{_datadir}/%{name}/icons

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{name}.png \
    %{buildroot}%{_datadir}/pixmaps

%suse_update_desktop_file -i -r burn_360 AudioVideo AudioVideoEditing
%suse_update_desktop_file -i -r dir_dvd_play AudioVideo AudioVideoEditing

%if 0%{?suse_version} >= 1030
%fdupes -s "%{buildroot}%{_datadir}/"
%endif

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README.* Changelog COPYING
%{_bindir}/burn_360
%{_bindir}/dir_dvd_play.pl
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons
%config(noreplace) %{_datadir}/%{name}/opts
%{_datadir}/applications/burn_360.desktop
%{_datadir}/applications/dir_dvd_play.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Apr 17 2011 pascal.bleser@opensuse.org
- fix typo in path patch which lead to major breakage, thanks to Carl Fletcher
  for reporting
* Thu Feb 17 2011 pascal.bleser@opensuse.org
- update to 0.8.0
* Tue Apr 14 2009 toni@links2linux.de
- update to 0.7.3
* Tue Jul 29 2008 toni@links2linux.de
- update to 0.7.2f
* Mon Jul  7 2008 toni@links2linux.de
- update to 0.7.2
* Sat Jul  5 2008 toni@links2linux.de
- update to 0.7.1
* Wed Jul  2 2008 toni@links2linux.de
- initial rpm 0.7
